import {Component, effect, EventEmitter, inject, signal, Signal, WritableSignal} from '@angular/core';
import {TodoService} from "../../shii/service/todo.service";
import {DatePipe} from "@angular/common";
import {Todo} from "../../shii/dto/models";

@Component({
  selector: 'app-table',
  standalone: true,
  imports: [
    DatePipe,
  ],
  templateUrl: './table.component.html',
})
export class TableComponent {
  todoService: TodoService = inject(TodoService);
  todos = this.todoService.todos;
  editingTodo: Todo|null = null;

  toggleDone(todo: Todo) {
    this.todoService.toggleDone(todo).subscribe(() => this.todos.reload());
  }

  delete(id: number) {
    this.todoService.delete(id).subscribe(() => this.todos.reload());
  }

  edit(todo: Todo) {
    this.editingTodo = todo;
  }
}
