import {inject, Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {Todo} from "../dto/models";
import {rxResource} from "@angular/core/rxjs-interop";


@Injectable({
  providedIn: 'root'
})
export class TodoService {
  http: HttpClient = inject(HttpClient);

  _todos = rxResource({
    stream: () => this.http.get<Todo[]>('http://localhost:2000/api/tasks'),
  })

  public get todos() {
    return this._todos;
  }

  public create(todo: Todo) {
    return this.http.post('http://localhost:2000/api/tasks', todo);
  }

  public toggleDone(todo: Todo) {
    todo.done = !todo.done;

    return this.edit(todo, todo.id);
  }

  public delete(id: number) {
    return this.http.delete(`http://localhost:2000/api/tasks/${id}`);
  }

  public edit(edited: Todo, id: number) {
    return this.http.put(`http://localhost:2000/api/tasks/${id}`, edited);
  }
}
